curl --location --request POST 'https://test.your-api-server.com/api/grafana/dashboard' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"folderUid": "production-folder",
"title": "Dashboard de Producción Línea 1",
"refresh": 30,
"description": "Monitoreo en tiempo real de la línea de producción 1",
"tags": [
"producción",
"tiempo-real",
"linea-1"
],
"grafana": {
"id": 123,
"uid": "abc123def",
"url": "https://grafana.empresa.com/d/abc123def/dashboard-produccion",
"accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}
}'{
"msg": "Dashboard creado",
"dashboardSaved": {
"_id": "string",
"folderUid": "string",
"title": "string",
"refresh": 0,
"description": "string",
"tags": [
"string"
],
"grafana": {
"id": 0,
"uid": "string",
"url": "string",
"accessToken": "string"
},
"deleted": false,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatedAt": "2019-08-24T14:15:22.123Z"
}
}